Package org.gradle.nativeplatform

# Interface NativeExecutableBinary

All Superinterfaces:
  `Binary`, `NativeBinary`

@Incubating public interface NativeExecutableBinary extends NativeBinary
A binary artifact for a `NativeExecutable`, targeted at a particular platform with specific configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getExecutableFile()`
  The executable file.

  ### Methods inherited from interface org.gradle.platform.base.Binary

  `getDisplayName`

  ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

  `getBuildType, getFlavor, getTargetPlatform`

- ## Method Details

  - ### getExecutableFile

    File getExecutableFile()
    The executable file.